MWProStructuresInternal::Section Struct Reference

Internal: the section of a MWProStructures. More...

## Public Types

enum | StartType { S_Line, S_Page, S_PageLeft, S_PageRight }

## Public Member Functions

| Section ()
| constructor More...
MWAWSection | getSection () const
| returns a MWAWSection More...
int | numColumns () const
| return the number of columns More...

## Public Attributes

StartType | m_start
| the way to start the new section More...
std::vector< float > | m_colsPos
| the columns position ( series of end columns <-> new column begin) More...
int | m_headerIds [2]
| the header block ids More...
int | m_footerIds [2]
| the footerer block ids More...
long | m_textLength
| the number of character in the sections More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<< More...

## Detailed Description

Internal: the section of a MWProStructures.

## Member Enumeration Documentation

enum MWProStructuresInternal::Section::StartType

Enumerator
S_Line |
S_Page |
S_PageLeft |
S_PageRight |

## Constructor & Destructor Documentation

MWProStructuresInternal::Section::Section | ( |  | ) |

inline

constructor

## Member Function Documentation

MWAWSection MWProStructuresInternal::Section::getSection | ( |  | ) | const

inline

returns a MWAWSection

Referenced by MWProStructuresListenerState::sendSection().

int MWProStructuresInternal::Section::numColumns | ( |  | ) | const

inline

return the number of columns

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | sec
| ) |  |

friend

operator<<

## Member Data Documentation

std::vector<float> MWProStructuresInternal::Section::m_colsPos

the columns position ( series of end columns <-> new column begin)

Referenced by getSection(), numColumns(), and MWProStructures::readSections().

std::string MWProStructuresInternal::Section::m_extra

extra data

Referenced by MWProStructures::readSections().

int MWProStructuresInternal::Section::m_footerIds[2]

the footerer block ids

Referenced by MWProStructures::buildPageStructures(), MWProStructures::readSections(), and Section().

int MWProStructuresInternal::Section::m_headerIds[2]

the header block ids

Referenced by MWProStructures::buildPageStructures(), MWProStructures::readSections(), and Section().

StartType MWProStructuresInternal::Section::m_start

the way to start the new section

Referenced by MWProStructures::buildPageStructures(), MWProStructures::readSections(), and MWProStructuresListenerState::sendSection().

long MWProStructuresInternal::Section::m_textLength

the number of character in the sections

Referenced by MWProStructures::buildPageStructures(), and MWProStructures::readSections().

The documentation for this struct was generated from the following file:

- MWProStructures.cxx